## ros-indigo-pyros 0.4.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pyros)

# Minimal Python module setup - catkin is assumed preinstalled along with ROS
# This assume catkin is installed along with a minimal ROS system.
find_package(catkin REQUIRED COMPONENTS
    catkin_pip
)

# defining current package as a package that should be managed by pip (not catkin - even though we make it usable with workspaces)
catkin_pip_package(pyros)

## Unit tests
if (CATKIN_ENABLE_TESTING)

    ############
    # Nose Tests
    ############

    # What kind of tests could be generic
    #catkin_add_nosetests(pyros/tests)
    catkin_add_nosetests(pyros/server/tests)
    catkin_add_nosetests(pyros/client/tests)

endif()

=== requirements.txt ===
--index-url https://pypi.python.org/simple/
# --extra-index-url https://testpypi.python.org/simple/

# dependencies for development
# Note : all tests included in package, which means we don't need anything here

# dependency sources for development only
# Note for ROS : this will end up in the wstool workspace. so we dont need to define it in the rosinstall...
# -e git+https://github.com/asmodehn/pyros-setup.git@config_refactor#egg=pyros_setup

# TMP interface Dependencies
# -e git+https://github.com/asmodehn/pyros-rosinterface.git@namespace#egg=pyros_interfaces_ros

# To always  have requirements installing current package (and dependencies) as well
# if we try to install requirements
-e .

=== debian/changelog ===
ros-indigo-pyros (0.4.1-1trusty) trusty; urgency=high

  * Adding pyros.server package to setup.py. [alexv]
  * Improving imports to rely on pyros_setup only for ros server test.
    [alexv]

 -- AlexV <asmodehn@gmail.com>  Sun, 07 May 2017 15:00:00 -0000

ros-indigo-pyros (0.4.0-1trusty) trusty; urgency=high

  * V0.4.0. [alexv]
  * Removing catkin build files (should be in release repo). [alexv]
  * Package.xml -> 0.3.2. [alexv]
  * Fixing setup and examples using upcoming version of dependencies.
    [AlexV]
  * Added dynamic setup API on client. [AlexV]
  * Fixing usage of deprecated logging.warn. [AlexV]
  * Adding examples doc. [AlexV]
  * Fixes package names for tests to pass locally. [AlexV]
  * Moving context server in pyros main package from pyros-common. [AlexV]
  * Fixing package dependency names for new namespaced interface ROS
    packages. [AlexV]
  * Moving pyros.interfaces to pyros_interfaces in pyros_common repo. now
    using namespace pyros_interfaces as dependency. [AlexV]
  * WIP restructuring config and readding ctx_server here... [alexv]
  * Fixing tests with new structure. [alexv]
  * Moved a lot of things to pyros-common. [alexv]
  * Fixing tests. [alexv]
  * WIP : main with click. [alexv]
  * Extracting ros dependent part and restructure. [alexv]
  * Fixing doc to build without catkin. [alexv]
  * Fixing import of BaseInterface. [AlexV]
  * Fixing interface inheritance on the way to splitting mock and ros...
    [alexv]
  * Moving mock interface outside of ROS, to not depend on ROS for mocks.
    [alexv]
  * Adding rospublish command. [alexv]
  * Mutating into a pure python package. adding rosdevelop setup.py
    command. [alexv]

 -- AlexV <asmodehn@gmail.com>  Sun, 07 May 2017 15:00:00 -0000

ros-indigo-pyros (0.3.2-1trusty) trusty; urgency=high

  * V0.3.2. [alexv]
  * Changing api for catkin_pip 0.2. [AlexV]
  * Now relying on catkin_pip >0.2. [alexv]

 -- AlexV <asmodehn@gmail.com>  Mon, 20 Mar 2017 15:00:00 -0000

ros-indigo-pyros (0.3.1-1trusty) trusty; urgency=high

  * V0.3.1. [alexv]
  * Disabling cache test on jade since rocon_python_comms not available
    yet. [alexv]
  * Being less strict about mock depend. [alexv]
  * Fixing optional dependency for travis tests. [alexv]
  * Small comments for tests. [alexv]
  * Skipping travis test of rpm & debian branches. [alexv]
  * Removing old gone six submodule. [alexv]
  * Changed dependency to tblib third party released package to allow
    build for any ROS platform. [alexv]
  * Making python-mock a full dependency (used in package, for
    transitivity). commenting tblib, might not be needed. [alexv]

 -- AlexV <asmodehn@gmail.com>  Thu, 12 Jan 2017 15:00:00 -0000

ros-indigo-pyros (0.3.0-1trusty) trusty; urgency=high

  * Fixed rospkg version. [alexv]
  * V0.3.0. [alexv]
  * Changing branch to master for all readme badges. [alexv]
  * Small file rename to match new name from pub and sub. [alexv]
  * Adding api subpackage to setup.py. [AlexV]
  * Moving all ros api calls into subpackage to make patching easier.
    cleaned up imports. [AlexV]
  * First version of rospy safe API. [AlexV]
  * Fixing node interface after pub/sub mixup. simplified stringpub and
    string sub tests. [alexv]
  * Fixing tests filenames. cleanup debug prints. [alexv]
  * Fixing cross logic between pubs ans subs. [alexv]
  * Improving subscriber / publisher inter interfacing... added timeout to
    connect a pub/sub. [alexv]
  * Now properly inverting (publisher_if is subscriber and vice versa)
    [alexv]
  * Fixing broken update loop of ros_interface. [alexv]
  * Skipping failing rosinterface test for now. passing fine
    independently, more investigation needed... [alexv]
  * Separating pubs and subs. needs pyros_test 0.0.6 for tests. [alexv]
  * Disabling cache builds on kinetic for now. [AlexV]rocon_python_comms is not available on kinetic yet.
  * Forcing install of debs for travis script. [alexv]
  * Now running same tests for python flow or installed catkin build.
    [alexv]
  * Improving travis build to test with cache as well... change version_eq
    to version_gte since buidfarm doesnt handle version_eq properly
    (yet?). [alexv]
  * Importing contextmanager from contextlib instead of decorator. [alexv]
  * Moving mockinterface into rosinterface.mock since design follows ROS
    concepts. fixed all tests. bumped pyros minor version to 0.3.0 because
    of all the changes... [alexv]
  * Merged testRosInterfaceNoCache and testRosInterfaceCache. fixed all
    issues. [alexv]
  * Fixed tests without cache. [alexv]
  * Basic usecase now working again with cache. needs lots of cleanup...
    [alexv]
  * Continuing changes in rosinterface, splitting service, topics and
    params interface pools now rosinterface tests all passing. [alexv]
  * Splitting baseinterface to simplify things. fixed mockinterface and
    tests. [alexv]
  * Various cleanups. [alexv]
  * Improved profiling script. [alexv]
  * Comments. [alexv]
  * Fixing bwcompat issues. dropping shutdown behavior fix for now.
    [alexv]
  * Improved management of interface topics and reference counting. still
    broken for multiprocess because shutdown is not working properly.
    [alexv]
  * Fixing params and services removal with cache diff input. improved
    topics interface creation and cleanup. [alexv]
  * Speeding up topic interfacing. [alexv]
  * Fixed logic for removing transients on difference update. now
    forwarding exception if param type not found small test improvements.
    [alexv]
  * Fixing param behavior in ros_interface and added unit tests. [alexv]
  * Fixing hybrid usecase of devel catkin workspace without ROS setup.
    [alexv]
  * Adding python-tblib as a ros dependency. [alexv]
  * Now using ros-shadow-fixed for testing with latest dependencies.
    [AlexV]
  * Making the travis_checks script switch to his own dir on startup.
    [alexv]
  * Fixing envvars checks for travis. made travis_checks.bash script
    executable. [alexv]


=== debian/control ===
Source: ros-indigo-pyros
Section: misc
Priority: extra
Maintainer: AlexV <asmodehn@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python-mock (>= 1.0.1), ros-indigo-catkin (>= 0.6.18), ros-indigo-catkin-pip (>= 0.2.0), ros-indigo-pyros-common (>= 0.4.2), ros-indigo-pyros-interfaces-ros (>= 0.4.0)
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-pyros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-mock (>= 1.0.1), ros-indigo-pyros-common (>= 0.4.2), ros-indigo-pyros-interfaces-ros (>= 0.4.0)
Description: Provides Python to ROS multiprocess API, useful for using ROS from different multiprocess environment while keeping both isolated.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-pyros//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
